Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Class ObjectInfo

    java.lang.Object
      org.eclipse.gmf.runtime.emf.clipboard.core.ObjectInfo

public class ObjectInfo
extends java.lang.Object

Data structure storing meta-data related to the copying of an element.

Field Summary
`java.lang.String` `containerClass` Fully-qualified name of the corresponding object's original parent's class
`java.lang.String` `containerId` The corresponding object's original container's ID.
`java.util.List` `copyAlwaysIds` IDs of objects related to the corresponding element that must be copied along with it.
`java.lang.String` `copyParentId` The corresponding object's original parent's ID.
`java.lang.String` `hints` The copy hints associated with the corresponding object.
`java.lang.String` `objCopyType` Indicates the reason why the corresponding object was copied.
`java.lang.String` `objId` The corresponding object's original ID.

Constructor Summary
`ObjectInfo()` Initializes me.

Method Summary
`java.util.List` `getCopyAlwaysObjectInfoList()` Obtains the `ObjectInfo` meta-data for the associated copy-always objects, corresponding one-for-one with the `ObjectInfo.copyAlwaysIds`.
`boolean` `hasHint(java.lang.String hint)` Queries whether my hints include the specified `hint`.
`void` `makeCopyAlwaysObjectInfoList(java.util.List allCopyAlwaysObjectsInfoList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objCopyType

    public java.lang.String objCopyType

  Indicates the reason why the corresponding object was copied.

### objId

    public java.lang.String objId

  The corresponding object's original ID.

### containerId

    public java.lang.String containerId

  The corresponding object's original container's ID. This can be different from the "parent" object's ID in cases where the "parent" object is not the copied object's direct container.

### containerClass

    public java.lang.String containerClass

  Fully-qualified name of the corresponding object's original parent's class

### hints

    public java.lang.String hints

  The copy hints associated with the corresponding object.

### copyParentId

    public java.lang.String copyParentId

  The corresponding object's original parent's ID. This can be different from the "container" object's ID in cases where the "parent" object is not the copied object's direct container.

### copyAlwaysIds

    public java.util.List copyAlwaysIds

  IDs of objects related to the corresponding element that must be copied along with it.

Constructor Detail

### ObjectInfo

    public ObjectInfo()

  Initializes me.

Method Detail

### hasHint

    public boolean hasHint(java.lang.String hint)

  Queries whether my hints include the specified `hint`.

  Parameters:
    `hint` - a hint to look for
  Returns:
    `true` if I have this hint; `false`, otherwise

### makeCopyAlwaysObjectInfoList

    public void makeCopyAlwaysObjectInfoList(java.util.List allCopyAlwaysObjectsInfoList)

### getCopyAlwaysObjectInfoList

    public java.util.List getCopyAlwaysObjectInfoList()

  Obtains the `ObjectInfo` meta-data for the associated copy-always objects, corresponding one-for-one with the `ObjectInfo.copyAlwaysIds`.

  Returns:
    the copy-always object `ObjectInfo`s
  See Also:
    `ObjectInfo.copyAlwaysIds`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.